#pragma once
#include <string>
#include <vector>
#include "Graphics/Transform.h"

class Node {
	public:
		Node(std::string& name);
		std::string& name;
		Node* parent;
		std::vector<Node*> children;

		void addChild(Node& node);

};



class Group : public Node {
public:
	Group(std::string& name);
	Transform& transform;

};
